跳到正文
LumiPath API
接口参考内容

列出当前用户上传的视频。通过 /videos/upload 上传的图片素材不包含在内。

GET
/api/v1/videos

鉴权

ApiKeyAuth
header鉴权Bearer <lumi>

Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。

Query 参数

page?integer
范围1 <= value
默认值1
limit?integer
范围1 <= value <= 50
默认值10
search?string

响应体

成功

application/json
  1. response
success*true
Value intrue
data*
请求示例
curl -X GET 'https://app.lumipath.cn/api/v1/videos'
响应示例
{  "success": true,  "data": {    "videos": [      {        "vid": "string",        "title": "string",        "status": "string",        "mediaType": "video",        "failedReason": "string",        "platforms": [          {            "platform": "string",            "status": "string",            "accountId": "string"          }        ],        "projects": [          {            "property1": null,            "property2": null          }        ],        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "total": 0,      "page": 0,      "limit": 0,      "totalPages": 0    }  }}